Bug 1685230 - Operator should use imagePullPolicy: IfNotPresent
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1685219 1685224 1685225 1685227 1685228 1685229
Blocks: 1685232
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:38 UTC by Clayton Coleman
Modified: 2019-06-04 10:45 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1685229
: 1685232 (view as bug list)
Environment:
Last Closed: 2019-06-04 10:44:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:44 UTC

Description Clayton Coleman 2019-03-04 17:38:47 UTC
+++ This bug was initially created as a clone of Bug #1685219 +++

Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-operator-lifecycle-manager","packageserver-875dcdd8f-bfqth"]
["openshift-operator-lifecycle-manager","packageserver-875dcdd8f-zklz2"]

Comment 3 Jian Zhang 2019-03-11 01:57:47 UTC
[jzhang@dhcp-140-18 ocp-09]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.nightly-2019-03-06-074438   True        False         35h     Cluster version is 4.0.0-0.nightly-2019-03-06-074438

[jzhang@dhcp-140-18 ocp-09]$ oc get pods -n openshift-operator-lifecycle-manager
NAME                                READY   STATUS    RESTARTS   AGE
catalog-operator-5ccdc69564-pdh75   1/1     Running   0          35h
olm-operator-fc9c95cf6-m5xkm        1/1     Running   0          35h
olm-operators-bxsqt                 1/1     Running   0          35h
packageserver-755f8769d8-cl9zb      1/1     Running   0          3h40m
packageserver-755f8769d8-kpnnl      1/1     Running   0          3h40m

[jzhang@dhcp-140-18 ocp-09]$ oc get pods -o yaml -n openshift-operator-lifecycle-manager|grep     imagePullPolicy:
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      imagePullPolicy: Always
      imagePullPolicy: Always

The olm-operator, catalog-operator were managed by the CVO, the packageserver was managed by the OLM.
LGTM, verify it.

Comment 6 errata-xmlrpc 2019-06-04 10:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.